IMVIEW(1)

NAME
imview - displays and interactively analyses images

SYNOPSIS

imview [ options ] [ image ... ]

Where image is an image file in one of the supported formats, e.g: TIFF, JPEG, GIF, PNG, BMP, XPM, PNM, etc...

DESCRIPTION

Imview is an X11 and Windows GDI GUI application for displaying images on screen. It has advanced capabilities for interactive image analysis (getting information out of images) and can be easily controlled through a socket connection for embedding in image analysis systems.

Imview supports a large number of popular and scientific image file formats, in part through the use of the ImageMagick library.

OPTIONS

Here is the complete list of optional arguments for imview.

-   Reads an image from the standard input stream. Example:

-a  Reads and appends to an existing pointfile (see option -p).

-C <lutname>
    Specifies <lutname> as the default look-up tables for all the images on the command line.

-c <lutname>
    Applies the look-up table <lutname> to the preceding image on the command line (see example section).

-debug
    Starts a debugging GUI console where debugging messages can be seen (there are lots of them!). Under Unix messages are also appended to the file /tmp/imbugs.txt.

-delete
    Any image given to imview on the command line will be deleted after imview exits. This is useful when imview is started from an interpreter with a temporary image as argument. For safety only images with paths beginning with /tmp, /usr/tmp or under the standard environment variable-controlled TMPDIR directory are effectively deleted.

-disable_io_keys
    This option disables some I/O shortcut that are not menu-dependent, such as c that closes an image. This is useful in conjunction with options -hide_menubar and -disable_menubar for limiting the user's interaction with the application.

-disable_menubar
    This option completely disables the menu bar (but does not hide it, see -hide_menubar for that). Both hiding and disabling the menubar at the same time can be useful for producing a viewer that users cannot control other than through some other means than the menu (if imview is embedded in another application for example).

-disable_quit
    This option disables the shortcut ways of quitting the imview application, such as the Escape key, clicking the windows manager `close window' button, etc. This is useful to restrict the user's control over imview.

-fork
    Sends imview to the background (works on all platforms including windows). It is better to use this option rather than the shell semantics (adding & at the end of the command under Unix) when the server is ran in conjunction with -server, because imview will synchronize the foreground and background processes so that the foreground process can know the server port number.

-gamma <value>
    Sets the default gamma for all the images. A gamma between 0 and 1.0 will darken the displayed image while a gamma greater than 1.0 will brighten them.

-h  Prints an abbreviated list of options and exits.

-hide_menubar
    Hides the main menubar. The menu items are still accessible via shortcuts. For example try Alt+f to get the file->open menu. From there you can use the keyboard arrow keys to select a menu item for example. This is useful if you have little screen real estate, but confusing for the beginner!

-no_dblbuf
    Do not use double buffering at certain zoom factors. This is a hack you might want to experiment with if you find that imview does not redraw some parts of images after closing and re-opening images.

-locked
    Equivalent to all the following options used together: -hide_menubar, -disable_menubar, -disable_iokeys and -disable_quit. If run with this option, imview can only be controlled via a socket in server mode. This is useful for embedding imview in another application.

-mag <zoom facto>
    Magnifies all images by <zoom factors>. Any positive value is legal. Values between 0 and 1.0 will reduce the size of the images while values greater than 1.0 will expand them.

-no_magick
    Disables the use of the ImageMagick library. This library is very useful for reading and writing a large number of file formats but tries to do too much sometimes, such as converting text files to images.

-p <pointfile>
    Specifies the point file name. A pointfile is a regular text file in which point (pixel) information can be recorded. The default point file name is pointfile. This option simply changes that default, no other action is taken.

-portfile <file>
    This option is only useful in combination with -server. Imview's server binds to a port in the range 7600-7700. Because it is often useful to have more than one image server at the same time and because of the interactive nature of imview, the precise port number is impossible to predict, so when the server is started it prints the port it decided to bind against on the command line, or alternatively in a file, specified by this option.

    NOTE: If you are planning to send imview to the background, for this command to work as expected, you must also use the -fork option, otherwise the file might still be empty when the command returns.

-server
    Starts the imview server. In server mode imview performs as a TCP/IP server on which images can be uploaded and commands can be run. The aim is to make imview completely remote-controllable: every command accessible via the menu can also be made available through the server.

    Imview uses its own text-based protocol. For simple commands a standard telnet session is enough to communicate with imview. However for uploading images into imview a protocol similar to FTP has been implemented. A simple imview client is shipped in source form with the imview distribution. For a specification of the imview protocol see the full documentation.

    Imview's server port number is in the range 7600-7700 which allows up to 50 different imview server to be run on the same machine (each server uses up two ports: one for commands and the other for binary data exchange, such as uploading images).

-stopdebug
    Used in conjunction with -debug, will stop the program after each debugging message. To continue the user must type <Enter>.

-v  Prints the version and build numbers, the date of build, the configuration options and exits.

-wt <title>
    Changes the title of the main window. The default is Imview.

EXAMPLES

In the following examples `%' indicate the shell prompt.

  SIMPLE USAGE

 % imview

Simply starts imview displaying the splash screen. An image can then be loaded using the menus.

 % imview myimage.tiff

Will display image myimage.tiff.

 % imview /home/talbot/images/astro/*

Will display all images in the directory /home/talbot/images/astro/. Use <spacebar> to switch from one image to the next.

  ADVANCED USAGE

 % imview aGreyLevelImage.tif -c heat.lut

Will display image aGreyLevelImage.tif. Assuming this image only contains grey-level information (a black and white photograph for example), the false colours defined in heat.lut will be applied to it.

  SERVER USAGE

 % imview -server -fork
Port: 7600

This will start imview in server mode. The only difference with the normal mode is that imview can now be "remote-controlled" via a TCP/IP connection. The port imview is bound to is printed on the command line when the server starts. To save it to a file use the -portfile option.

A simple telnet session can be used to remote-control imview, as follows. See the full documentation for more details:

 % telnet localhost 7600
user talbot
Welcome, talbot /tmp/fileBlabla 000 OK
load "/home/talbot/images/astro/neptune.tiff"
000 OK
zoom factor 2
000 OK
end
Connection closed by foreign host.

imclient is shipped with the source distribution as an implementation of a sample client that can upload images into imview, as follows:

 % imclient -p 7600 /home/talbot/images/astro/jupiter.tiff

BUGS

See the TODO file in the source distribution or the web site for an updated list of known bugs. Here is a list of the most significant ones:

•   resize still a problem sometimes. Imview gets itself into a weird state with incorrect limits and partial redraws. Specifying a complete redraw should clear everything but doesn't.

•   Move to the middle of the screen. Sometimes for no apparent reason Imview moves to the middle of the screen. This seems to be happening if the main window resises.

•   last line and last column of image often missing when scrollbar are present.

FILES

~/.fltk/hugues.talbot_csiro.au/imview.prefs
    User preferences

<Installation directory>/Imview/*.lut
    Colour look-up tables

<Installation directory>/Imview/doc/*.html
    On-line documentation

SEE ALSO

imclient (1), ImageMagick (1), djpeg (1)

libtiff (3T)

http://imview.sourceforge.net (full manual can be found there).

AUTHOR

The main author is Hugues Talbot <Hugues.Talbot@cmis.CSIRO.AU>

COPYRIGHT

Imview is Copyrighted (C) 1997-2002 by Hugues Talbot and was supported in parts by the Australian Commonwealth Science and Industry Research Organisation. Please see web site for full details.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.